import request from '../index'
const prefix = 'resource/seal'

// 查询印章管理登记列表
export async function getSealInfoList(data: any) {
  return request({
    url: `${prefix}/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

// 印章管理登记新增
export function addSealInfo(data: object) {
  return request({
    url: `${prefix}/add`,
    method: 'post',
    data,
  })
}

// 印章管理登记删除
export function delSealInfo(data: object) {
  return request({
    url: `${prefix}/delete`,
    method: 'post',
    data,
  })
}

// 印章管理编辑
export function updateSealInfo(data: object) {
  return request({
    url: `${prefix}/update`,
    method: 'post',
    data,
  })
}

// 查询印章使用日志列表
export function getSealLogList(data: any) {
  return request({
    url: `${prefix}/note/log/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

// 查询印章使用登记审批列表
export function getSealNoteList(data: any) {
  return request({
    url: `${prefix}/note/approval/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

// 印章使用登记（保存）
export function saveSealNote(data: object) {
  return request({
    url: `${prefix}/note/save`,
    method: 'post',
    data,
  })
}

// 印章使用登记（草稿箱编辑）
export function draftUpdateSealNote(data: object) {
  return request({
    url: `${prefix}/note/draftUpdate`,
    method: 'post',
    data,
  })
}

// 提交流程
export function submitSealNote(data: object) {
  return request({
    url: `${prefix}/note/submit`,
    method: 'post',
    data,
  })
}

// 发起者撤回，表单状态更改为已取消
export function revokeApproval(data: object) {
  return request({
    url: `${prefix}/note/approval/revoke`,
    method: 'post',
    data,
  })
}

// 审批-拒绝
export function refuseApproval(data: object) {
  return request({
    url: `${prefix}/note/approval/refuse`,
    method: 'post',
    data,
  })
}

// 未通过委托方编辑（重走流程审批）
export function failUpdateNote(data: object) {
  return request({
    url: `${prefix}/note/failUpdate`,
    method: 'post',
    data,
  })
}

// 删除 草稿箱
export function deleteSealNoteDraft(data: object) {
  return request({
    url: `${prefix}/note/draftDelete`,
    method: 'post',
    data,
  })
}

// 删除 已取消
export function deleteSealNoteRevoked(data: object) {
  return request({
    url: `${prefix}/note/approval/delete`,
    method: 'post',
    data,
  })
}
